Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
display::DisplayControl::Info Struct Reference

Collected display meta information. More...

## Public Attributes
int | fwAppVersion
| Firmware application version; 0 if unavailable.
int | fwBootVersion
| Firmware bootloader version; 0 if unavailable.
int | orientation
| Display orientation.
int | width
| Display width.
int | height
| Display height.
boolean | versionAvailable
| `true` if version information is available

## Detailed Description

Collected display meta information.

Definition at line 21 of file DisplayControl.idl.

## Member Data Documentation

## ◆ fwAppVersion

int display::DisplayControl::Info::fwAppVersion

Firmware application version; 0 if unavailable.

Definition at line 22 of file DisplayControl.idl.

## ◆ fwBootVersion

int display::DisplayControl::Info::fwBootVersion

Firmware bootloader version; 0 if unavailable.

Definition at line 23 of file DisplayControl.idl.

## ◆ height

int display::DisplayControl::Info::height

Display height.

Definition at line 26 of file DisplayControl.idl.

## ◆ orientation

int display::DisplayControl::Info::orientation

Display orientation.

Definition at line 24 of file DisplayControl.idl.

## ◆ versionAvailable

boolean display::DisplayControl::Info::versionAvailable

`true` if version information is available

Definition at line 27 of file DisplayControl.idl.

## ◆ width

int display::DisplayControl::Info::width

Display width.

Definition at line 25 of file DisplayControl.idl.

The documentation for this struct was generated from the following file:

- DisplayControl.idl